Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.events
Interface WefFactory

All Known Implementing Classes:
  SimpleWefFactory

public interface WefFactory

WefFactory defines methods needed to instantiate "blank" WEF events and their sub-components, as well as events and sub-components that exist as from XML fragments. The methods that create objects from XML require that the XML fragments be schema-compliant and correspond to the given WEF schema element (i.e., createSubstitutableMessage() takes muws2:SubstitutableMessage).

Author:
  Dan Jemiolo (danj)

Method Summary
`Component` | `createComponent()`
`Component` | `createComponent(org.w3c.dom.Element componentXML)`
`ComponentAddress` | `createComponentAddress()`
`ComponentAddress` | `createComponentAddress(org.w3c.dom.Element addressXML)`
`ComponentAddress` | `createComponentAddress(XmlSerializable addressData)`
`ManagementEvent` | `createEvent()`
`ManagementEvent` | `createEvent(org.w3c.dom.Element eventXML)`
`Situation` | `createSituation()`
`Situation` | `createSituation(org.w3c.dom.Element situationXML)`
`SubstitutableMessage` | `createSubstitutableMessage()`
`SubstitutableMessage` | `createSubstitutableMessage(org.w3c.dom.Element messageXML)`

Method Detail

### createComponent

    public Component createComponent()

### createComponent

    public Component createComponent(org.w3c.dom.Element componentXML)

### createComponentAddress

    public ComponentAddress createComponentAddress()

### createComponentAddress

    public ComponentAddress createComponentAddress(org.w3c.dom.Element addressXML)

### createComponentAddress

    public ComponentAddress createComponentAddress(XmlSerializable addressData)

### createEvent

    public ManagementEvent createEvent()

### createEvent

    public ManagementEvent createEvent(org.w3c.dom.Element eventXML)

### createSubstitutableMessage

    public SubstitutableMessage createSubstitutableMessage()

### createSubstitutableMessage

    public SubstitutableMessage createSubstitutableMessage(org.w3c.dom.Element messageXML)

### createSituation

    public Situation createSituation()

### createSituation

    public Situation createSituation(org.w3c.dom.Element situationXML)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD